"""
PearProject - `Errors`
~~~~~~~~~~~~~~~~~~~
Module avec toutes les erreurs du PearProject.
"""


class EmptyList(Exception):
    def __str__(self):
        return "Vous devez rentrez une liste avec des valeurs à l'interieur !"

class IncorrectParameterType(Exception):
    def __str__(self):
        return "Le type de paramètre que vous avez rentré est incorrect !"

class MissingAnnotations(Exception):
    def __str__(self):
        return "Vous devez rentrer les annotations de tout les paramètres pour que ça marche !"

class IncorrectListItemType(Exception):
    def __str__(self):
        return "Vous devez rentrez une liste contenant uniquement des entiers !"


class NotTrinomial(Exception):
    def __str__(self):
        return "Ceci n'est pas un trinôme !"

class IncorrectCalcul(Exception):
    def __str__(self):
        return 'Ceci est un calcul incorrect, veuilliez rentrer "+", "-", "*" ou "/" !'

class BaseTooSmall(Exception):
    def __str__(self):
        if Exception.__str__(self) == "":
            return "Vous devez rentrez une base plus grande !"
        else:
            return f"Vous devez rentrez une base plus grande que {Exception.__str__(self)} !"


class BaseTooLarge(Exception):
    def __str__(self):
        if Exception.__str__(self) == "":
            return "Vous devez rentrez une base plus petite !"
        else:
            return f"Vous devez rentrez une base plus petite que {Exception.__str__(self)} !"


class ListTooSmall(Exception):
    def __str__(self):
        if Exception.__str__(self) == "":
            return "Vous devez rentrez une liste avec plus d'éléments !"
        else:
            return f"Vous devez rentrez une liste avec plus de {Exception.__str__(self)} éléments !"


class TooSmall(Exception):
    def __str__(self):
        if Exception.__str__(self) == "":
            return "Vous devez rentrez un plus grand nombre !"
        else:
            return f"Vous devez rentrez un nombre supérieur à {Exception.__str__(self)} !"
